<?php
include_once('../includes/load.php'); // Configura la conexión a la base de datos

$secretKey = 'PSPperutransporte'; // Clave secreta para generar y verificar tokens

if ($_SERVER['REQUEST_METHOD'] === 'GET' && $_SERVER['REQUEST_URI'] === '/api/api_vehiculo.php?token=78395c502494a3d9425cbdf5ac376d2e') {
    $token = $_GET['token'] ?? '';

    if (verificarToken($token)) {
            //funcion para traer los datos de la base de datos a la tabla listado programa
			$convert_utf8 = function ($s) {
			         if (!mb_check_encoding($s, 'UTF-8')) {
			             $s = utf8_encode($s);
			         }
			         return $s;
			     };
			$sql = $db->query("SELECT * FROM vehiculo;");
			$data = array();
			while( $rows = mysqli_fetch_assoc($sql) ) {
			    $data[] = array_map($convert_utf8, $rows);
			}
			$results = array(
			    "sEcho" => 1,
				"iTotalRecords" => count($data),
				"iTotalDisplayRecords" => count($data),
			 	"aaData"=>$data);
			 echo json_encode($results);
	    } else {
	        http_response_code(401);
	        echo json_encode(array("message" => "Acceso no autorizado"));
	    }
	}
	else
		{
		var_dump($_SERVER['REQUEST_URI']);
		}

function verificarToken($token) {
    global $secretKey;
    return $token === md5($secretKey);
}

?>
